> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Your Input File

> Now that you have created your batch job, use the `presigned_url` to upload your `.jsonl` file directly to the designated storage location using the following command:

```shell
curl --request PUT \
  --url '<YOUR_PRESIGNED_URL>' \
  --header 'Content-Type: application/jsonl' \
  --data-binary '@your_input_file.jsonl'
```

Replace `<YOUR_PRESIGNED_URL>` with the `presigned_url` and `@your_input_file.jsonl` with the path to your actual file.

For a step-by-step walkthrough, see the [Batch Search how-to guide](/how-to-guides/search/batch_search).



## OpenAPI

````yaml /api-rest/openapi/openapi_search_service.json put /s3_upload_placeholder
openapi: 3.0.3
info:
  title: Bigdata Search API
  version: 1.0.0
  description: >-
    Easily find the most relevant information from trusted sources and your own
    data. Use it to power agents that give accurate, real-time answers.
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
paths:
  /s3_upload_placeholder:
    put:
      tags:
        - Batch Search
      summary: Upload Your Input File
      description: >-
        Now that you have created your batch job, use the `presigned_url` to
        upload your `.jsonl` file directly to the designated storage location
        using the following command:


        ```shell

        curl --request PUT \
          --url '<YOUR_PRESIGNED_URL>' \
          --header 'Content-Type: application/jsonl' \
          --data-binary '@your_input_file.jsonl'
        ```


        Replace `<YOUR_PRESIGNED_URL>` with the `presigned_url` and
        `@your_input_file.jsonl` with the path to your actual file.


        For a step-by-step walkthrough, see the [Batch Search how-to
        guide](/how-to-guides/search/batch_search).
      operationId: upload_batch_file_s3
      responses:
        '200':
          description: S3 returns 200 OK
      security: []
      x-code-samples:
        - lang: sh
          label: Terminal
          source: |-
            curl --request PUT \
              --url '<YOUR_PRESIGNED_URL>' \
              --header 'Content-Type: application/jsonl' \
              --data-binary '@your_input_file.jsonl'
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````